/* rexx, opensource-ware, os/2  */
/* deletes the readonly bit of each file of a given directory and its subdirs */
/* author: ilja kaufmann, kiwi@...perelin.de  (remove three dots from email) */


Call rxfuncadd 'SysFileTree', 'RexxUtil', 'SysFileTree'

parse arg dirname

if right(dirname,1)='\' then dirname=left(dirname,length(dirname)-1)
dirname=checkdir(dirname)'\'
say dirname
dirname_l=length(dirname)


call SysFileTree dirname, 'alle', 'BO','***+*','***-*'

say 'read only bit deleted for 'alle.0' files:'
if alle.0>1 then do
  do i=1 to alle.0-1
    say alle.i
  end /* do */
end /* if */
say 'read only bit deleted for 'alle.0' files'


exit




/* routine die checkt, ob ein gewnschtes directory existiert und dessen korrekten namen zurckgibt */

checkdir:
  parse arg zutesten
  akt_d=directory()
  neu_d=directory(zutesten)
  if neu_d="" then do
     say "Directory '"zutesten"' not found"
     say "press return to exit"
     pull a
     exit
  end  /* if */
  rc=directory(akt_d)
return neu_d;




